﻿#region Copyright Syncfusion Inc. 2001 - 2012
//
//  Copyright Syncfusion Inc. 2001 - 2012. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.DocIO.DLS;
using Syncfusion.DocIO;
using System.ComponentModel;

namespace GenerateWord
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        # region Constructor
        /// <summary>
        /// Window constructor
        /// </summary>
        public Window1()
        {
            InitializeComponent();
            ImageSourceConverter img = new ImageSourceConverter();
            image1.Source = (ImageSource)img.ConvertFromString(@"..\..\Images\docio_header.png");
            imgbutton.Source = (ImageSource)img.ConvertFromString(@"..\..\Images\docio_button.png");            
            imglabel.Source = (ImageSource)img.ConvertFromString(@"..\..\Images\label8_Image.gif");
            imglabel1.Source = (ImageSource)img.ConvertFromString(@"..\..\Images\label8_Image.gif");
            imglabel2.Source = (ImageSource)img.ConvertFromString(@"..\..\Images\label8_Image.gif");
            imglabel3.Source = (ImageSource)img.ConvertFromString(@"..\..\Images\label8_Image.gif");
            this.Icon =(ImageSource)img.ConvertFromString(@"..\..\Images\docio_button.png");            
        }
        # endregion

        # region Events
        /// <summary>
        /// Creates word document
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            //A new document is created.
            WordDocument document = new WordDocument();
            //Adding one section and one paragraph to the Word document
            document.EnsureMinimal();
            //Defining page margins
            document.LastSection.PageSetup.Margins.All = 72;
            //Adding table
            IWTable table = document.LastSection.AddTable();
            //Defining Rows and Tables
            table.ResetCells(2, 4);   
            //Defing width to the first cell
            table.Rows[0].Cells[0].Width = 250;
            //Defining width to the remaining cells based on the client width
            table.Rows[0].Cells[1].Width = (document.LastSection.PageSetup.ClientWidth - 250) / 3;
            table.Rows[0].Cells[2].Width = (document.LastSection.PageSetup.ClientWidth - 250) / 3;
            table.Rows[0].Cells[3].Width = (document.LastSection.PageSetup.ClientWidth - 250) / 3;
            table.Rows[1].Cells[0].Width = 250;
            table.Rows[1].Cells[1].Width = (document.LastSection.PageSetup.ClientWidth - 250) / 3;
            table.Rows[1].Cells[2].Width = (document.LastSection.PageSetup.ClientWidth - 250) / 3;
            table.Rows[1].Cells[3].Width = (document.LastSection.PageSetup.ClientWidth - 250) / 3;

            //Save as word 2003  format
            if (word2003RadioBtn.IsChecked.Value)
            {
                //Saving the document to disk.
                document.Save("Sample.doc");

                //Message box confirmation to view the created document.
                if (MessageBox.Show("Do you want to view the MS Word document?", "Document has been created", MessageBoxButton.YesNo, MessageBoxImage.Information) == MessageBoxResult.Yes)
                {
                    //Launching the MS Word file using the default Application.[MS Word Or Free WordViewer]
                    System.Diagnostics.Process.Start("Sample.doc");
                    //Exit
                    this.Close();
                }
            }
            //Save as word 2007 format
            else if (word2007RadioBtn.IsChecked.Value)
            {
                //Saving the document as .docx
                document.Save("Sample.docx", FormatType.Word2007);
                //Message box confirmation to view the created document.
                if (MessageBox.Show("Do you want to view the MS Word document?", "Document has been created", MessageBoxButton.YesNo, MessageBoxImage.Information) == MessageBoxResult.Yes)
                {
                    try
                    {
                        //Launching the MS Word file using the default Application.[MS Word Or Free WordViewer]
                        System.Diagnostics.Process.Start("Sample.docx");
                        //Exit
                        this.Close();
                    }
                    catch (Win32Exception ex)
                    {
                        MessageBox.Show("Word 2007 is not installed in this system");
                        Console.WriteLine(ex.ToString());
                    }
                }
            }
            //Save as word 2010 format
            else if (word2010RadioBtn.IsChecked.Value)
            {
                //Saving the document as .docx
                document.Save("Sample.docx", FormatType.Word2010);
                //Message box confirmation to view the created document.
                if (MessageBox.Show("Do you want to view the MS Word document?", "Document has been created", MessageBoxButton.YesNo, MessageBoxImage.Information) == MessageBoxResult.Yes)
                {
                    try
                    {
                        //Launching the MS Word file using the default Application.[MS Word Or Free WordViewer]
                        System.Diagnostics.Process.Start("Sample.docx");
                        //Exit
                        this.Close();
                    }
                    catch (Win32Exception ex)
                    {
                        MessageBox.Show("Word 2007 is not installed in this system");
                        Console.WriteLine(ex.ToString());
                    }
                }
            }
            //Save as word 2013  format
            else if (word2013RadioBtn.IsChecked.Value)
            {
                //Saving the document as .docx
                document.Save("Sample.docx", FormatType.Word2013);
                //Message box confirmation to view the created document.
                if (MessageBox.Show("Do you want to view the MS Word document?", "Document has been created", MessageBoxButton.YesNo, MessageBoxImage.Information) == MessageBoxResult.Yes)
                {
                    try
                    {
                        //Launching the MS Word file using the default Application.[MS Word Or Free WordViewer]
                        System.Diagnostics.Process.Start("Sample.docx");
                        //Exit
                        this.Close();
                    }
                    catch (Win32Exception ex)
                    {
                        MessageBox.Show("Word 2013 is not installed in this system");
                        Console.WriteLine(ex.ToString());
                    }
                }
            }
            else
            {
                // Exit
                this.Close();
            }
        }
        # endregion
    }
}